%define upstream_name    Module-Install-GithubMeta
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Module::Install extension to include GitHub meta information in META.yml
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.50.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Module::Install) >= 0.850.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Module::Install::GithubMeta is a the Module::Install manpage extension to
include GitHub the http://github.com manpage meta information in
'META.yml'.

It automatically detects if the distribution directory is under 'git'
version control and whether the 'origin' is a GitHub repository and will
set the 'repository' and 'homepage' meta in 'META.yml' to the appropriate
URLs for GitHub.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.260.0-2.mga4
+ Revision: 534218
- Mageia 4 Mass Rebuild

* Mon Sep 09 2013 sander85 <sander85> 0.260.0-1.mga4
+ Revision: 476659
- update to 0.26

* Sat Aug 24 2013 sander85 <sander85> 0.240.0-1.mga4
+ Revision: 471199
- update to 0.24

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 369866
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 0.220.0-1.mga3
+ Revision: 338092
- update to 0.22

* Wed Oct 24 2012 shlomif <shlomif> 0.180.0-1.mga3
+ Revision: 309577
- update to 0.18

* Mon Jan 30 2012 shlomif <shlomif> 0.160.0-1.mga2
+ Revision: 203490
- imported package perl-Module-Install-GithubMeta


* Sat Jan 21 2012 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
